package com.bwie.pojo;

import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.math.BigDecimal;
import java.util.Date;

/**
 * @Author：张腾
 * @Package：com.bwie.pojo
 * @Project：Zg6-day8
 * @name：BillDao
 * @Date：2024/7/26 8:45
 */
@Data
@TableName("bill")
public class BillDao {
    private Integer billId;
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private Date billDate;
    private BigDecimal billMoney;
}
