package com.bwie.service.impl;

import com.bwie.mapper.BillMapper;
import com.bwie.pojo.BillDao;
import com.bwie.service.BillService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author：张腾
 * @Package：com.bwie.service.impl
 * @Project：Zg6-day8
 * @name：BillServiceImpl
 * @Date：2024/7/26 8:48
 */
@Service
public class BillServiceImpl implements BillService {

    @Autowired
    private BillMapper billMapper;

    @Override
    public Integer add(BillDao billDao) {
        return billMapper.insert(billDao);
    }

    @Override
    public List<BillDao> selectAll() {
        List<BillDao> billDaos = billMapper.selectList(null);
        for (BillDao billDao : billDaos) {
            System.out.println(billDao);
        }
        return billDaos;
    }
}
